import java.util.List;

import ru.ifmo.testlib.*;
import ru.ifmo.testlib.Outcome.Type;

public class Check implements Checker {

    @Override
    public Outcome test(InStream inf, InStream ouf, InStream ans) {
        long cAns = ouf.nextLong();
        long jAns = ans.nextLong();
        if (cAns != jAns) {
            return new Outcome(Type.WA, String.format("Expected %d, found %d", jAns, cAns));
        }
        return new Outcome(Type.OK, String.format("%d", jAns));
    }
}
